package com.yutou.bilibili.mybatis.Bili.mybatis.dao;

import com.yutou.bilibili.mybatis.Bili.mybatis.model.BilibiliLiveInfo;
import com.yutou.bilibili.mybatis.Bili.mybatis.model.BilibiliLiveInfoExample;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface BilibiliLiveInfoDao {
    long countByExample(BilibiliLiveInfoExample example);

    int deleteByExample(BilibiliLiveInfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BilibiliLiveInfo record);

    int insertSelective(BilibiliLiveInfo record);

    List<BilibiliLiveInfo> selectByExample(BilibiliLiveInfoExample example);

    BilibiliLiveInfo selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BilibiliLiveInfo record, @Param("example") BilibiliLiveInfoExample example);

    int updateByExample(@Param("record") BilibiliLiveInfo record, @Param("example") BilibiliLiveInfoExample example);

    int updateByPrimaryKeySelective(BilibiliLiveInfo record);

    int updateByPrimaryKey(BilibiliLiveInfo record);

    List<BilibiliLiveInfo> queryTimeOfRoomid(@Param("roomid")int roomid, @Param("startTime") Date startTime, @Param("endTime")Date endTime);
}